From: "Sebastian Pipping" <sping@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-vcs/git-big-picture/
Date: Wed, 20 Jan 2021 18:48:05 +0000 (UTC) [thread overview]
Message-ID: <1611168424.67bc7919f236200112715a4751b1f137b1f7b6fc.sping@gentoo> (raw)
commit: 67bc7919f236200112715a4751b1f137b1f7b6fc
Author: Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 20 18:45:17 2021 +0000
Commit: Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Wed Jan 20 18:47:04 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=67bc7919
dev-vcs/git-big-picture: 1.1.1
Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>
Package-Manager: Portage-3.0.12, Repoman-3.0.2
dev-vcs/git-big-picture/Manifest | 1 +
.../git-big-picture/git-big-picture-1.1.1.ebuild | 40 ++++++++++++++++++++++
2 files changed, 41 insertions(+)
diff --git a/dev-vcs/git-big-picture/Manifest b/dev-vcs/git-big-picture/Manifest
index b4f5816e4a0..eecba44662a 100644
--- a/dev-vcs/git-big-picture/Manifest
+++ b/dev-vcs/git-big-picture/Manifest
@@ -1 +1,2 @@
DIST git-big-picture-1.0.0.tar.gz 2952246 BLAKE2B caf28b57399bbdc2c80feda70e2a043dc1a8ffdc1e88bc79ccec44d6857e52726961e5febe9d1dbe1230818990a291900237cc01f65e819995243cbbc47ba8a9 SHA512 3b5416d3802c91ee35ad31ef702ada5f23b33cd77ef4c1f15cf22bb7f7d1e3c315e100aabdca3831b56d52b1d1637afa86382f89f0a2bbc8c60970095cd53d43
+DIST git-big-picture-1.1.1.tar.gz 2960674 BLAKE2B 00b3117f810b78965e5a260000689c3275f078307f8e5ef90e6a032036eeedcda743c6eff3e3a1f53744d71d9b3bf2692efc558d5f5b20eada9a9b2e21559796 SHA512 1bf1b620d73cccb058034bc8920adcab117fbda8b921937aac6b90e2162cf4b334cae934b0395efdf40b5e9a363e7ec69090ca943c839829dedaa40428dbdb13
diff --git a/dev-vcs/git-big-picture/git-big-picture-1.1.1.ebuild b/dev-vcs/git-big-picture/git-big-picture-1.1.1.ebuild
new file mode 100644
index 00000000000..e83eaba0bc6
--- /dev/null
+++ b/dev-vcs/git-big-picture/git-big-picture-1.1.1.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="7"
+
+PYTHON_COMPAT=( python3_{6..9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Visualization tool for Git repositories"
+HOMEPAGE="https://github.com/git-big-picture/git-big-picture"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+# No need for "[python]" or "[${PYTHON_USEDEP}]" with any of these
+# since they are invoked using subprocess
+DEPEND="
+ test? (
+ dev-python/pytest[${PYTHON_USEDEP}]
+ dev-util/cram[${PYTHON_USEDEP}]
+ )
+"
+RDEPEND="
+ dev-vcs/git
+ media-gfx/graphviz[svg]
+"
+
+RESTRICT="!test? ( test )"
+
+python_test() {
+ pytest -vv test.py || die "Tests fail with ${EPYTHON}"
+
+ distutils_install_for_testing
+ cram test.cram || die "Tests fail with ${EPYTHON}"
+}
next reply other threads:[~2021-01-20 18:48 UTC|newest]
Thread overview: 18+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-01-20 18:48 Sebastian Pipping [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-28 16:46 [gentoo-commits] repo/gentoo:master commit in: dev-vcs/git-big-picture/ Sebastian Pipping
2025-03-28 16:46 Sebastian Pipping
2024-05-28 20:49 Sam James
2024-03-22 16:35 Michał Górny
2024-03-08 18:11 Sebastian Pipping
2023-11-07 0:07 Sebastian Pipping
2023-07-08 13:56 Sebastian Pipping
2023-04-29 18:16 Arthur Zamarin
2023-03-17 15:29 Michał Górny
2022-11-29 0:43 Sebastian Pipping
2022-11-27 0:45 Sebastian Pipping
2022-09-27 20:22 Sebastian Pipping
2022-03-26 15:59 Sebastian Pipping
2022-03-26 15:59 Sebastian Pipping
2022-03-01 19:40 Sebastian Pipping
2021-10-23 19:04 Sebastian Pipping
2021-01-13 17:35 Sebastian Pipping
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1611168424.67bc7919f236200112715a4751b1f137b1f7b6fc.sping@gentoo \
--to=sping@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox